version: '2.10'
services:
  jellyfin:
    image: jellyfin/jellyfin:latest
    container_name: jellyfin
    user: 1000:1000
    network_mode: 'bridge'
    ports: 
      - 8096:8096
    volumes:
#      - D:\Docker\ContainerData\jellyfin\Config:/config
#      - D:\Docker\ContainerData\jellyfin\Cache:/cache
#      - G:\Media\Porn:/porn1_g:ro
#      - G:\Media\Porn\白峰:/porn2_e:ro
#      - F:\Media\Porn:/porn3_f:ro
#      - H:\Media\Porn:/porn4_e:ro
#      - remote_av_folder:/porn_nas_1  #//192.168.2.101/Ad2/
      - /mnt/jellyfin/cache:/cache
      - /mnt/jellyfin/config:/config
      - /mnt/thd_media_g/Porn:/porn1_g:ro
      - /mnt/thd_media_g/Porn/白峰:/porn2_e:ro
      - /mnt/thd_media_f/Porn:/porn3_f:ro
      - /mnt/thd_media_h/Porn:/porn4_e:ro
      - /mnt/nas_ad2:/porn_nas_1
    restart: 'unless-stopped'

# volumes:
#   remote_av_folder:
#     name: remote_av_folder
#     driver_opts:
#       type: cifs
#       o: username=admin,password=yHf4ewq4PLDdqQ,iocharset=utf8,vers=3.0
#       device: //192.168.2.101/Ad2/